Health Check
Get the health of the service
Warning
Deprecated
The Metrics API is deprecated and will be sunset on November 16, 2026 12:00 UTC. Plan to migrate off it before then.
- Deprecated: November 5, 2026
- Sunset: November 16, 2026 12:00 UTC
- Decommissioned: November 30, 2026 12:00 UTC
Check the health of the service.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
application/json
curl -X GET "https://metrics.avax.network/v2/health-check"{
"status": "error",
"info": {
"database": {
"status": "up"
}
},
"error": {},
"details": {
"database": {
"status": "up"
}
}
}{
"message": "string",
"statusCode": 400,
"error": "Bad Request"
}{
"message": "string",
"statusCode": 401,
"error": "Unauthorized"
}{
"message": "string",
"statusCode": 403,
"error": "Forbidden"
}{
"message": "string",
"statusCode": 404,
"error": "Not Found"
}{
"message": "string",
"statusCode": 429,
"error": "Too Many Requests"
}{
"message": "string",
"statusCode": 500,
"error": "Internal Server Error"
}{
"message": "string",
"statusCode": 502,
"error": "Bad Gateway"
}{
"message": "string",
"statusCode": 503,
"error": "Service Unavailable"
}Is this guide helpful?